#ifndef MAINWINDOWUI_H
#define MAINWINDOWUI_H

#include <QWidget>
#include <QLabel>
#include <QSpinBox>
#include <QGridLayout>
#include <QPushButton>
#include <QTextEdit>
#include <QDialog>

#include "systemtime.h"

class mainwindowui : public QWidget
{
    Q_OBJECT
public:
    explicit mainwindowui(QWidget *parent = 0);
    
signals:
    
public slots:
    void displayMessage(QString message);
    void updateTimeToSend(long timeToSend);

public:
    long arbitraryTime;

    QLabel *usbDeviceNumber_LABEL;
    QLabel *linkNumber_LABEL;
    QLabel *starDundeeStatusQueryDialogLabel;
    QLabel *currentTimecodeValue_LABEL;
    QLabel *currentTimecodeFlag_LABEL;


    QSpinBox *usbDeviceNumber_SPINBOX;
    QSpinBox *linkNumber_SPINBOX;

    QGridLayout *connection_LAYOUT;
    QGridLayout *starDundeeStatusQueryDialogLayout;

    QDialog *starDundeeStatusQueryDialog;

    QPushButton *button_sendSystemTime;
    QPushButton *button_sendArbitraryTime;
    QPushButton *startTimeButton;
    QPushButton *sendTimecodeButton;
    QPushButton *starDundeeStatusQueryRetryButton;
    QPushButton *starDundeeStatusQueryAbortButton;

    SystemTime *systemTime;

    QTextEdit* console;
};

#endif // MAINWINDOWUI_H
